/**
 * This program runs threads in parallel.
 */
public class ThreadTester 
{
    public static void main(String[] args) 
    {
        BoundedQueue queue = new BoundedQueue(10);
        
        final int PRODUCER_COUNT = 5;
        final int MESSAGE_COUNT = 100;
        
        Runnable run1 = new Producer("A Message",
                                     queue, 1, MESSAGE_COUNT);
        Runnable run2 = new Producer("B Message",
                                     queue, 2, MESSAGE_COUNT);
        Runnable run3 = new Producer("C Message",
                                     queue, 3, MESSAGE_COUNT);
        Runnable run4 = new Producer("D Message",
                                     queue, 4, MESSAGE_COUNT);
        Runnable run5 = new Producer("E Message",
                                     queue, 5, MESSAGE_COUNT);
        Runnable run6 = new Consumer(queue, PRODUCER_COUNT*MESSAGE_COUNT);

        Thread thread1 = new Thread(run1);
        Thread thread2 = new Thread(run2);
        Thread thread3 = new Thread(run3);
        Thread thread4 = new Thread(run4);
        Thread thread5 = new Thread(run5);
        Thread thread6 = new Thread(run6);

        thread1.start();
        thread2.start();
        thread3.start();
        thread4.start();
        thread5.start();
        thread6.start();
    }
}
